> ## Documentation Index
> Fetch the complete documentation index at: https://60db.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Up

> Register a new user account

## Request

### Headers

<ParamField header="Content-Type" type="string" required>
  application/json
</ParamField>

### Body

<ParamField body="email" type="string" required>
  User's email address
</ParamField>

<ParamField body="password" type="string" required>
  Password (minimum 8 characters)
</ParamField>

<ParamField body="name" type="string">
  User's full name
</ParamField>

<ParamField body="company" type="string">
  Company name
</ParamField>

## Response

<ResponseField name="user" type="object">
  User object
</ResponseField>

<ResponseField name="user.id" type="string">
  User ID
</ResponseField>

<ResponseField name="user.email" type="string">
  User email
</ResponseField>

<ResponseField name="token" type="string">
  Authentication token
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.60db.ai/auth/signup \
    -H "Content-Type: application/json" \
    -d '{
      "email": "user@example.com",
      "password": "SecurePass123",
      "name": "John Doe"
    }'
  ```

  ```javascript JavaScript theme={null}
  const user = await client.signUp({
    email: "user@example.com",
    password: "SecurePass123",
    name: "John Doe",
  });
  ```

  ```python Python theme={null}
  user = client.sign_up(
      email='user@example.com',
      password='SecurePass123',
      name='John Doe'
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "user": {
      "id": "user-123",
      "email": "user@example.com",
      "name": "John Doe",
      "created_at": "2026-01-29T11:30:00Z"
    },
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
  }
  ```
</ResponseExample>
